Automated Build Generator - Bug #2191
Generator does not report commandline parsing errors properly
03/05/2015 04:10 PM - J. Moringen

Status: Resolved Start date: 03/05/2015
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.4

Description

E.g.

./build-generator -D name

does not produce any output.

Associated revisions

Revision 83960753 - 03/05/2015 08:22 PM - J. Moringen

Better processing of -D options in src/commandline-interface/main.lisp

refs #2191

- src/commandline-interface/main.lisp (parse-overwrite): catch empty

variable name; allow missing value

Revision 9dfb0f12 - 03/05/2015 08:23 PM - J. Moringen

Better handling of non-deferable errors in src/commandline-interface/main.lisp

fixes #2191

Non-deferable errors are handling using the “abort' restart. However,

the causing condition was not supplied to the restart previously,

causing the program to exit without an error message.

- src/commandline-interface/main.lisp (main): when using the “abort'

restart, make sure it is invoked with the causing condition

Revision cc93017f - 03/05/2015 09:24 PM - J. Moringen

Backport: Better processing of -D options in src/commandline-interface/main.lisp

refs #2191

- src/commandline-interface/main.lisp (parse-overwrite): catch empty

variable name; allow missing value
Revision dede7540 - 03/05/2015 09:24 PM - J. Moringen
Backport: Better handling of non-deferable errors in src/commandline-interface/main.lisp
refs #2191
Non-deferable errors are handling using the “abort' restart. However,
the causing condition was not supplied to the restart previously,
causing the program to exit without an error message.
- src/commandline-interface/main.lisp (main): when using the “abort’

restart, make sure it is invoked with the causing condition

History

#1 - 03/05/2015 09:29 PM - J. Moringen
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:9dfb0f1249cfaccc1cc17f545bb943cfb8841235.

#2 - 03/26/2015 04:58 PM - J. Moringen
- Category set to User Interface
